OMV 4.0.18.1 Error during Upgrade

    • OMV 4.x
    • Update

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • OMV 4.0.18.1 Error during Upgrade

      Hello,

      Got an error during upgrade:

      Source Code

      1. openmediavault (4.0.18-1) wird eingerichtet ...
      2. /usr/bin/deb-systemd-helper: error: unable to read openmediavault-issue
      3. dpkg: Fehler beim Bearbeiten des Paketes openmediavault (--configure):
      4. Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
      5. Fehler traten auf beim Bearbeiten von:
      6. openmediavault
      7. E: Sub-process /usr/bin/dpkg returned an error code (1)
      OMV 4 Arrakis | Kernel 4.14 ... running on
      SelfBuilt NAS -- Asrock Q1900-ITX -- 4x 2,4 GHz in Burst Mode -- 4 GB DDR3 RAM -- RAID 5 -- 3x 3TB WD Red
    • For now i worked arround the problem by disabling line "deb-systemd-helper enable openmediavault-issue" in the /var/lib/dpkg/info/openmediavault.postinst file and enabled it in the system manualy.
      OMV 4 Arrakis | Kernel 4.14 ... running on
      SelfBuilt NAS -- Asrock Q1900-ITX -- 4x 2,4 GHz in Burst Mode -- 4 GB DDR3 RAM -- RAID 5 -- 3x 3TB WD Red

      The post was edited 1 time, last by wastez ().

    • Same error here. I tried to upgrade from WebUI first, then from command line. This is the error that I get:

      Source Code

      1. root@delibird:~# apt-get upgrade
      2. Reading package lists... Done
      3. Building dependency tree
      4. Reading state information... Done
      5. Calculating upgrade... Done
      6. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      7. 1 not fully installed or removed.
      8. After this operation, 0 B of additional disk space will be used.
      9. Do you want to continue? [Y/n] y
      10. Setting up openmediavault (4.0.18-1) ...
      11. /usr/bin/deb-systemd-helper: error: unable to read openmediavault-issue
      12. dpkg: error processing package openmediavault (--configure):
      13. subprocess installed post-installation script returned error exit status 1
      14. Errors were encountered while processing:
      15. openmediavault
      16. E: Sub-process /usr/bin/dpkg returned an error code (1)
      Display All
      Even with this error, in the webUI it's written that I'im using OMV 4.0.18 now.
      Intel G4400 - Asrock H170M Pro4S - 8GB ram - 2x4TB WD RED in RAID1 - ZFS Mirror 2x6TB Seagate Ironwolf
      OMV 4.1.4 - Kernel 4.14 backport 3 - omvextrasorg 4.1.2